Summary: Zebra Routing Daemon
Name: zebra
Version: 0.85
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://ftp.zebra.org/pub/zebra/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

Serial: 2000031001
Distribution: TurboLinux Japan

%description
NU Zebra manages TCP/IP based routing protocols. It supports BGP-4 protocol as
described in RFC1771 (A Border Gateway Protocol 4) as well as RIPv1, RIPv2 and
OSPFv2.  Unlike traditional, Gated based, monolithic architectures and even the
so-called "new modular architectures" that remove the burden of processing
routing functions from the cpu and utilize special ASIC chips instead, Zebra
software offers true modularity.

Zebra has a process for each protocol. It uses multithread technology under
multithread supported UNIX kernels. However it can be run under non-multithread
supported UNIX kernels. Thus Zebra provides flexibility and reliability. Each
module can be upgraded independently of the others, allowing for quick upgrades
as well as protection from the case of a failure in one protocol affecting the
entire system.  

Zebra is intended to be used as a Route Server and a Route Reflector. Zebra is
not a toolkit, it provides full routing power under a new architecture. 

%prep
%setup

%build
./configure --prefix=/usr --sysconfdir=/etc/zebra
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc/zebra infodir=$RPM_BUILD_ROOT/usr/share/info
gzip -9 $RPM_BUILD_ROOT/usr/share/info/zebra.info*
gzip -9 AUTHORS COPYING ChangeLog INSTALL NEWS README SERVICES
gzip -9 doc/BGP-TypeCode doc/draft-zebra-00.txt
strip $RPM_BUILD_ROOT/usr/sbin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/share/info/zebra.info.gz /usr/share/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/share/info/zebra.info.gz /usr/share/info/dir
fi

%files
%defattr(-,root,root)
/usr/share/info/zebra*
%config /etc/zebra/*.conf.sample
%doc AUTHORS.gz COPYING.gz ChangeLog.gz INSTALL.gz NEWS.gz README.gz SERVICES.gz
%doc doc/BGP-TypeCode.gz doc/draft-zebra-00.txt.gz

%changelog
* Fri Mar 10 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- Upgrade to 0.85

* Mon Nov 1 1999 Roger Luethi <rluethi@turbolinux.com>
- Upgrade to 0.81

* Thu Oct 28 1999 Roger Luethi <rluethi@turbolinux.com>
- Upgrade to 0.80
- Gzipped rest of the info pages

* Fri Oct 22 1999 Roger Luethi <rluethi@turbolinux.com>
- Added %post and %preun (the old version overwrote /usr/info/dir!)
- Fixed a lot of other bugs and problems in the spec file, ended up rewriting
  the spec file from scratch - how could such a fscked up spec file make it
  into our distribution??
- Upgrade to 0.79

* Thu Jul 15 1999 KUSUNOKI Masanori <masanori@linux.or.jp>
- new package
